%{

#include <stdio.h>
extern FILE *yyin; extern int lineno; extern char* yytext;

%}

%token VERB NOUN END ERROR

%%

paragraph: sentence 
	| paragraph sentence 


sentence: nounphrase verbphrase  END
nounphrase: NOUN { printf("noun %s\n", yytext); }
verbphrase: VERB { printf("verb %s\n", yytext); }
	  
%%

int yyerror(char *msg){
	printf("ERROR: (%d:%s) %s\n",lineno, yytext, msg);
}

main(){
	do{
		yyparse();
	}while(!feof(yyin));
}
