%{

#include <stdio.h>
extern FILE *yyin; extern int lineno; extern char* yytext;

%}

%token LITTLEA LITTLEB LITTLEC END ERROR

%%

start:	BIGA LITTLEC BIGB END { printf("\n\tThat string is accepted!", yytext); }
BIGA:	LITTLEA BIGA LITTLEB
    |	LITTLEC BIGB LITTLEB
BIGB:	LITTLEC LITTLEC LITTLEB
    |	LITTLEB

%%

int yyerror(char *msg){
	printf("ERROR: (%d:%s) %s\n",lineno, yytext, msg);
}

main(){
	do{
		yyparse();
	}while(!feof(yyin));
}
